All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business.step.olap
Class DataItemTimeNParallelPeriodsFilter

    com.sas.iquery.metadata.business.step.olap.DataItemTimeNParallelPeriodsFilter

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, StepFilterInterface, StepInterface, UsabilityInterface, PropertyChangeListenee, com.sas.util.LocalizableToStringInterface, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class DataItemTimeNParallelPeriodsFilter

A step that filters a data item to reflect N periods parallel to a given date member.

See Also:
  `StepFilterInterface`, `DataItemTimeFilter`

Field Summary
`static java.lang.String` | `EVENT_DATE_CHANGED` Indication that dateMember attribute has been changed.
`static java.lang.String` | `EVENT_TIME_LEVEL_NAME_CHANGED` Indication that level name has been changed.

Fields inherited from class com.sas.iquery.metadata.business.step.olap.DataItemTimeFilter
`BACKWARD, EVENT_NPERIODS_CHANGED, EVENT_PERIODS_CHANGED, EVENT_SEARCH_DIRECTION_CHANGED, FORWARD`

Fields inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`EVENT_ACTION_TYPE_CHANGED, EVENT_LOCALIZABLE_LABELS_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.step.StepFilterInterface
`APPEND_ACTION_TYPE, DIFFERENCE_ACTION_TYPE, INITIAL_ACTION_TYPE, INSERT_ACTION_TYPE, INTERSECT_ACTION_TYPE, PREPEND_ACTION_TYPE, SPECIAL_ACTION_TYPE, UNION_ACTION_TYPE`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`DataItemTimeNParallelPeriodsFilter()` No-argument constructor.
`DataItemTimeNParallelPeriodsFilter(int nPeriods, java.lang.String searchDirection, java.lang.String levelName, java.lang.String date)` Deprecated.

Method Summary
`java.lang.String` | `getDateMember()` Deprecated. use getMember
`ExpressionInterface` | `getLevel()` Get level name.
`java.lang.String` | `getLevelName()` Deprecated. use getLevel
`ExpressionInterface` | `getMember()` Get date member
`java.util.Locale` | `getMemberLocale()` Get the locale that is associated with the member names for this step.
`void` | `setDateMember(java.lang.String date)` Deprecated. use setMember
`void` | `setLevel(ExpressionInterface level)` Set level name.
`void` | `setLevelName(java.lang.String levelName)` Deprecated. use setLevel
`void` | `setMember(ExpressionInterface date)` Set date member
`void` | `setMember(ExpressionInterface date, java.util.Locale locale)` Set date member

Methods inherited from class com.sas.iquery.metadata.business.step.olap.DataItemTimeFilter
`getnPeriods, getPeriods, getSearchDirection, setnPeriods, setSearchDirection`

Methods inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`getActionType, getDisplayedText, getLevels, setActionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_DATE_CHANGED

    public static final java.lang.String EVENT_DATE_CHANGED

  Indication that dateMember attribute has been changed.

  See Also:
    Constant Field Values

### EVENT_TIME_LEVEL_NAME_CHANGED

    public static final java.lang.String EVENT_TIME_LEVEL_NAME_CHANGED

  Indication that level name has been changed.

  See Also:
    Constant Field Values

Constructor Detail

### DataItemTimeNParallelPeriodsFilter

    public DataItemTimeNParallelPeriodsFilter()

  No-argument constructor.

### DataItemTimeNParallelPeriodsFilter

    public DataItemTimeNParallelPeriodsFilter(int nPeriods,
                                              java.lang.String searchDirection,
                                              java.lang.String levelName,
                                              java.lang.String date)
                                       throws java.lang.IllegalArgumentException

  Deprecated.

  Create a filter to return n parallel periods.

  Parameters:
    `nPeriods` - Number of periods to return
    `searchDirection` - Return members after or before dateMember? Valid Values: FORWARD, BACKWARD
    `levelName` - Name of ancestor level for dateMember
    `date` - Date Member for set delimiter
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### setLevelName

    public void setLevelName(java.lang.String levelName)
                      throws java.lang.IllegalArgumentException

  Deprecated. use setLevel

  Set level name

  Parameters:
    `levelName` - name of period being filtered
  Throws:
    `java.lang.IllegalArgumentException`

### setLevel

    public void setLevel(ExpressionInterface level)

  Set level name. This value should not be NULL.

  Parameters:
    `level` - name of period being filtered

### setDateMember

    public void setDateMember(java.lang.String date)
                       throws java.lang.IllegalArgumentException

  Deprecated. use setMember

  Set date member

  Parameters:
    `date` - - staring date for period filtered.
  Throws:
    `java.lang.IllegalArgumentException`

### setMember

    public void setMember(ExpressionInterface date)
                   throws java.lang.IllegalArgumentException

  Set date member

  Parameters:
    `date` - - staring date for period filtered.
  Throws:
    `java.lang.IllegalArgumentException`

### setMember

    public void setMember(ExpressionInterface date,
                          java.util.Locale locale)
                   throws java.lang.IllegalArgumentException

  Set date member

  Parameters:
    `date` - - staring date for period filtered.
  Throws:
    `java.lang.IllegalArgumentException`

### getMemberLocale

    public java.util.Locale getMemberLocale()

  Get the locale that is associated with the member names for this step.

  Returns:

### getDateMember

    public java.lang.String getDateMember()

  Deprecated. use getMember

  Get date member

  Returns:
    date - staring date for period filtered.

### getMember

    public ExpressionInterface getMember()

  Get date member

  Returns:
    date - staring date for period filtered.

### getLevelName

    public java.lang.String getLevelName()

  Deprecated. use getLevel

  Returns:
    ancestor level name for ParallelPeriod()

### getLevel

    public ExpressionInterface getLevel()

  Get level name. This method may return a null expression.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.